Bug 1656200 - [abrt] cinnamon: on_run_button_clicked(): cs_startup.py:482:on_run_button_clicked:AttributeError: 'NoneType' object has no attribute 'app'
Summary: [abrt] cinnamon: on_run_button_clicked(): cs_startup.py:482:on_run_button_cli...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: cinnamon
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alternative GTK desktop environments
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e9a2f8445dfd4fed7cc4047f6b8...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-04 22:25 UTC by N1vBruno
Modified: 2019-11-27 20:14 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 20:14:40 UTC


Attachments (Terms of Use)
File: backtrace (537 bytes, text/plain)
2018-12-04 22:25 UTC, N1vBruno
no flags Details
File: cgroup (341 bytes, text/plain)
2018-12-04 22:25 UTC, N1vBruno
no flags Details
File: cpuinfo (1.58 KB, text/plain)
2018-12-04 22:25 UTC, N1vBruno
no flags Details
File: environ (1.33 KB, text/plain)
2018-12-04 22:25 UTC, N1vBruno
no flags Details
File: mountinfo (3.83 KB, text/plain)
2018-12-04 22:25 UTC, N1vBruno
no flags Details
File: namespaces (129 bytes, text/plain)
2018-12-04 22:25 UTC, N1vBruno
no flags Details
File: open_fds (1.68 KB, text/plain)
2018-12-04 22:25 UTC, N1vBruno
no flags Details

Description N1vBruno 2018-12-04 22:25:48 UTC
Description of problem:
I just added Accessibility and clicked on "run now".

Version-Release number of selected component:
cinnamon-4.0.2-1.fc29

Additional info:
reporter:       libreport-2.9.6
cmdline:        /usr/bin/python3 /usr/share/cinnamon/cinnamon-settings/cinnamon-settings.py startup
crash_function: on_run_button_clicked
exception_type: AttributeError
executable:     /usr/share/cinnamon/cinnamon-settings/cinnamon-settings.py
interpreter:    python3-3.7.1-4.fc29.x86_64
kernel:         4.19.5-300.fc29.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
cs_startup.py:482:on_run_button_clicked:AttributeError: 'NoneType' object has no attribute 'app'

Traceback (most recent call last):
  File "/usr/share/cinnamon/cinnamon-settings/modules/cs_startup.py", line 482, in on_run_button_clicked
    app = row.app
AttributeError: 'NoneType' object has no attribute 'app'

Local variables in innermost frame:
self: <cs_startup.AutostartBox object at 0x7fab825cca20 (cs_startup+AutostartBox at 0x56132dac15f0)>
button: <Gtk.Button object at 0x7fab825ce870 (GtkButton at 0x56132d39c880)>
row: None

Potential duplicate: bug 1645830

Comment 1 N1vBruno 2018-12-04 22:25:51 UTC
Created attachment 1511488 [details]
File: backtrace

Comment 2 N1vBruno 2018-12-04 22:25:53 UTC
Created attachment 1511489 [details]
File: cgroup

Comment 3 N1vBruno 2018-12-04 22:25:54 UTC
Created attachment 1511490 [details]
File: cpuinfo

Comment 4 N1vBruno 2018-12-04 22:25:55 UTC
Created attachment 1511491 [details]
File: environ

Comment 5 N1vBruno 2018-12-04 22:25:57 UTC
Created attachment 1511492 [details]
File: mountinfo

Comment 6 N1vBruno 2018-12-04 22:25:58 UTC
Created attachment 1511493 [details]
File: namespaces

Comment 7 N1vBruno 2018-12-04 22:25:59 UTC
Created attachment 1511494 [details]
File: open_fds

Comment 8 Ben Cotton 2019-10-31 20:22:06 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Ben Cotton 2019-11-27 20:14:40 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.